{% extends 'main/base.html' %}
{% load static %}
{% block css %}
  <link rel="stylesheet" href="{% static "schedule/css/schedule.css" %}">
  <link rel="stylesheet" href="{% static "main/npm/css/selectize.default.css" %}">
{% endblock %}
{% block title %}Расписание{% endblock %}
{% load django_bootstrap_breadcrumbs %}
{% block breadcrumbs %}
  {{ block.super }}
  {% breadcrumb 'Расписание' "schedule:index" %}
{% endblock %}
{% block content %}
  {% render_breadcrumbs %}
  <section class="container-fluid flex-grow">
    <div class="row">
      <div class="col-lg">
        <select id="selector" placeholder="Группа, преподаватель или аудитория...">
          <option value="">Группа, преподаватель или аудитория...</option>
          <optgroup data-group="group" label="Группы">
            {% for group in group_list %}
              <option value="g-{{ group.id }}">{{ group }}</option>
            {% endfor %}
          </optgroup>
          <optgroup data-group="teacher" label="Преподаватели">
            {% for teacher in teacher_list %}
              <option value="t-{{ teacher.id }}">{{ teacher }}</option>
            {% endfor %}
          </optgroup>
          <optgroup data-group="room" label="Аудитории">
            {% for room in room_list %}
              <option value="r-{{ room.id }}">{{ room }}</option>
            {% endfor %}
          </optgroup>
        </select>
      </div>

      {#    <div class="col-sm-3">#}
      {#        <div id="switch" class="form-group">#}
      {#          <span>I</span>#}
      {#          <label class="switch">#}
      {#            <input id="sw_chb" type="checkbox">#}
      {#            <span class="slider round"></span>#}
      {#          </label>#}
      {#          <span>II</span>#}
      {#      </div>#}
      {#    </div>#}
      <div class="col-md" style="padding-top: 0.5em" id="switcher">
        <div class="form-check form-check-inline">
          <input class="form-check-input" type="radio" name="inlineRadioOptions" id="inlineRadio1"
                 value="odd" {% if week_number < 17 and not week_number|divisibleby:"2" %}checked{% endif %}>
          <label class="form-check-label" for="inlineRadio1">I</label>
        </div>
        <div class="form-check form-check-inline">
          <input class="form-check-input" type="radio" name="inlineRadioOptions" id="inlineRadio2"
                 value="even" {% if week_number < 17 and week_number|divisibleby:"2" %}checked{% endif %}>
          <label class="form-check-label" for="inlineRadio2">II</label>
        </div>
        <div class="form-check form-check-inline">
          <input class="form-check-input" type="radio" name="inlineRadioOptions" id="inlineRadio3"
                 value="test" {% if week_number == 17 %}checked{% endif %}>
          <label class="form-check-label" for="inlineRadio3">Зачёты</label>
        </div>
        <div class="form-check form-check-inline">
          <input class="form-check-input" type="radio" name="inlineRadioOptions" id="inlineRadio4"
                 value="exam" {% if week_number > 17 %}checked{% endif %}>
          <label class="form-check-label" for="inlineRadio4">Экзамены</label>
        </div>
      </div>
      <div class="col-sm" style="padding-top: 0.5em">
        Неделя: {% if week_number < 17 %} {{ week_number }}{% elif week_number == 17 %}
        {{ week_number }} зачёты {% elif  week_number > 17 and week_number < 21 %} {{ week_number }}
        экзамены {% else %} <i class="far fa-sun"></i> {% endif %}
      </div>
      <div class="col-sm" style="padding-top: 0.5em">
        Обновлено: {{ updated }}
      </div>
    </div>
  </section>

  <div class="row">
    <div class="col" id="out">
    </div>
  </div>
{% endblock %}
{% block js %}
  <script src="{% static "main/npm/js/selectize.min.js" %}"></script>
  <script src="{% static "schedule/js/schedule.js" %}"></script>
{% endblock %}